replace_copy.hpp File Reference

## Typedefs

template<typename I , typename O >
using | ranges::replace_copy_result = detail::in_out_result< I, O >

## Functions

template<typename I , typename S , typename O , typename T1 , typename T2 , typename P = identity>
CPP_TEMPLATE_AUX_0 | ranges::r (requires ` input_iterator< I > &&sentinel_for< S, I > &&output_iterator< O, T2 const & > &&indirectly_copyable< I, O > &&indirect_relation< equal_to, projected< I, P >, T1 const * >) rrreplace_copy_result< I
| function template `replace_copy`
template<typename Rng , typename O , typename T1 , typename T2 , typename P = identity>
CPP_TEMPLATE_AUX_0 | ranges::r (requires ` input_range< Rng > &&output_iterator< O, T2 const & > &&indirectly_copyable< iterator_t< Rng >, O > &&indirect_relation< equal_to, projected< iterator_t< Rng >, P >, T1 const * >) rrreplace_copy_result< borrowed_iterator_t< Rng >
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
CPP_TEMPLATE_AUX_0 O | ranges::replace_copy (I first, S last, O out, T1 const &old_value, T2 const &new_value, P proj={})
CPP_TEMPLATE_AUX_0 O | ranges::replace_copy (Rng &&rng, O out, T1 const &old_value, T2 const &new_value, P proj={})